// Sprocket Framework header file
// PictureWindow.h


#ifndef		_PICTUREWINDOW_
#define		_PICTUREWINDOW_

#ifndef		_WINDOW_
#include	"Window.h"
#endif


enum
{
	mPicture			= 1001,
	cCentered			= 1002,
	cUpperLeft			= 1003
};


class	TSampleWindow : public TWindow
{
  public:
							TSampleWindow();
	virtual 				~TSampleWindow();

	virtual WindowRef		MakeNewWindow( WindowRef behindWindow );

	virtual void			Draw(void);
	
	virtual void			Activate( Boolean activating );
	
	virtual void			ClickAndDrag( EventRecord *eventPtr );
	
	virtual	Boolean			DoCommand(CommandID theCommand);
	virtual void			AdjustMenusBeforeMenuSelection(void);
	
	virtual	OSErr			DragEnterWindow( DragReference dragRef );
	virtual	OSErr			DragInWindow( DragReference dragRef );
	virtual	OSErr			DragLeaveWindow( DragReference dragRef );
	virtual	OSErr			HandleDrop( DragReference dragRef );
	
//	Non-TWindow methods...
	virtual PicHandle		LoadDefaultPicture();
	virtual void			CenterPict( PicHandle picture, Rect *destRectPtr );
	virtual Boolean			IsPictFlavorAvailable( DragReference dragRef );
//	virtual Boolean			IsMouseInContentRgn( DragReference dragRef );
	static void				SetUpStaticMenu( void );

protected:
	static	MenuRef			fgMenu;
	static	unsigned long	fgWindowTitleCount;

	Boolean					fCanAcceptDrag;
	PicHandle				fDraggedPicHandle;
	Boolean					fIsWindowHighlighted;
	Boolean					fCenter;
};

#endif
