// Sprocket Framework header file
// AEHandling.h



#ifndef		_APPLEEVENTHANDLING_
#define		_APPLEEVENTHANDLING_

#ifndef		__APPLEEVENTS__
#include	<AppleEvents.h>
#endif

#ifndef		__OCESTANDARDMAIL__
#include	<OCEStandardMail.h>
#endif


void				InitAppleEventRoutines(void);
OSErr				CheckAppleEventForMissingParams(AppleEvent * theAppleEvent);
OSErr				ChooseApplicationAsAETarget(AEAddressDesc *targetDesc, StringPtr prompt);

extern AEIdleUPP	StandardAEIdleUPP;
extern AEDesc		gThisProcessDesc;

//	Handlers for the Required Suite:

typedef OSErr		(*EachDocumentProcPtr)(FSSpec *aFile,void * param);
OSErr				ForEachDocumentInList(AEDescList documentList,EachDocumentProcPtr documentProc,void * documentParam);

pascal OSErr		HandleOpenApplication(AppleEvent * theAppleEvent,AppleEvent * reply, long refCon);
pascal OSErr		HandleOpenDocuments(AppleEvent * theAppleEvent,AppleEvent * reply, long refCon);
pascal OSErr		HandlePrintDocuments(AppleEvent * theAppleEvent,AppleEvent * reply, long refCon);
pascal OSErr		HandleQuitApplication(AppleEvent * theAppleEvent,AppleEvent * reply, long refCon);

//  Sprocket Suite

OSErr				SendCommandToSelf(CommandID theCommand);
pascal OSErr		HandleSprocketCommand(AppleEvent * theAppleEvent,AppleEvent * reply, long refCon);

//	Display Manager:

pascal OSErr		HandleSystemConfigNotice(AppleEvent *theAppleEvent,AppleEvent *reply,long refCon);


#if	qInlineInputAware

//	Text Services Manager:

pascal OSErr		HandleTextServicesUpdateActiveInputArea(AppleEvent *theAppleEvent,AppleEvent *reply,long refCon);
pascal OSErr		HandleTextServicesPos2Offset(AppleEvent *theAppleEvent,AppleEvent *reply,long refCon);
pascal OSErr		HandleTextServicesOffset2Pos(AppleEvent *theAppleEvent,AppleEvent *reply,long refCon);

#endif

#endif
