// Sprocket Framework header file
// SpokenCommandHandler.h


#ifndef		_SPOKENCOMMANDHANDLER_
#define		_SPOKENCOMMANDHANDLER_

#include <SpeechRecognition.h>
#include "MenuBar.h"


class	TSpokenCommandHandler
{
public:
						TSpokenCommandHandler();
	virtual				~TSpokenCommandHandler();


	OSErr				ISpokenCommandHandler(void);
	
	OSErr				RegisterSpokenCommand( const char* commandText, CommandID command );
	
	OSErr				StopListening(void);
	OSErr				StartListening(void);
	
	Boolean				IsListening(void);
	
protected:

	SRRecognitionSystem	fRecognitionSystem;
	SRRecognizer		fRecognizer;
	SRLanguageModel		fLanguageModel;
	Boolean				fFinished;
	Boolean				fListening;
};
	
#endif