// Sprocket Framework header file
// UDialog.h


#ifndef		__STANDARDFILE__
#include	<StandardFile.h>	//	for ModalFilterYDUPP
#endif


short					StandardAlert(	short alertID,
										short defaultItem				= ok,
										short cancelItem				= 0,
										ModalFilterUPP customFilterProc	= nil);

void			ErrorAlert(short stringList, short whichString, Boolean fatalError);
void			ErrorReporter(OSErr err, char* file, long line);

pascal Boolean	StandardDialogFilterProc(DialogRef theDialog, EventRecord* anEvent, short* itemHit);
void			PseudoClickInDialogItem(DialogRef theDialog, short itemToClick);
Boolean			ToggleCheckBox(DialogRef theDialog, short theCheckBox);

void			SetControlActive(DialogRef theDialog, short itemHit, Boolean hilite);

short			GetControlSetting(DialogRef theDialog, short itemHit);
void			SetControlSetting(DialogRef theDialog, short itemHit, short setting);

void			GetControlRange(DialogRef theDialog, short itemHit, short *min, short *max);
void			SetControlRange(DialogRef theDialog, short itemHit, short min, short max);

void			SetEditText(DialogRef theDialog, short itemHit, ConstStr255Param textStr);
void			GetEditText(DialogRef theDialog, short itemHit, StringPtr textStr);

void 			SetDialogFontAndSize ( DialogRef theDialog, short fontNum, short fontSize );

//	This is because it's missing in the 2.1 headers
//	I don't know if it is on purpose or not....
#ifdef __cplusplus
inline TEHandle 	GetDialogTextEdit(DialogRef dialog)		{ return (*(TEHandle *) (((UInt8 *) dialog) + 160)); }
#else
#define GetDialogTextEdit(dialog)	(*(TEHandle *) (((UInt8 *) dialog) + 160))
#endif


extern ModalFilterUPP	StandardDialogFilterUPP;
extern ModalFilterYDUPP	StandardDialogFilterYDUPP;
